cURL
curl -X DELETE https://api.aiql.io/sources/ing_9d2c/workspaces/ws_4c2d \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
client.sources.remove_from_workspace(
"ing_9d2c",
"ws_4c2d",
workspace_id="ws_3a1b",
)import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
await client.sources.removeFromWorkspace("ing_9d2c", "ws_4c2d", {
workspaceId: "ws_3a1b",
});{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Sources
Remove Source From Workspace
DELETE
/
sources
/
{id}
/
workspaces
/
{workspace_id}
cURL
curl -X DELETE https://api.aiql.io/sources/ing_9d2c/workspaces/ws_4c2d \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
client.sources.remove_from_workspace(
"ing_9d2c",
"ws_4c2d",
workspace_id="ws_3a1b",
)import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
await client.sources.removeFromWorkspace("ing_9d2c", "ws_4c2d", {
workspaceId: "ws_3a1b",
});{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}